%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           hotot
Version:        0.9.6
Release:        1.hg889%{?_dist_release}
Summary:        Hotot lightweight & open source microblogging client using Python language and designed for Linux.
Summary(ja):    Hotot は Python 言語を使用した、軽量＆オープンソースな Linux 向けのマイクロブログクライアントです。

Group:          Applications/Internet
License:        LGPLv2+
URL:            http://code.google.com/p/hotot
Source0:        hotot-0.9.6.hg889.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildArch: noarch

BuildRequires: gettext
BuildRequires: intltool
#BuildRequires: pygtk2-devel WebKit-gtk-devel libxslt-devel
BuildRequires: python-distutils-extra

Requires: keybinder
Requires: notify-python
Requires: pygobject
Requires: pygtk2
Requires: pywebkitgtk >= 1.1.8

%description
Hotot, is a lightweight & open source Microblogging Client, 
coding using Python language and designed for Linux.
It depends less but supports more. 
It's been developed actively and still in Alpha stage.

%description -l ja
Hotot は Python 言語を使用した、軽量＆オープンソースな Linux 向けの
マイクロブログクライアントです。
依存はより少なく、より多くのサポートを。
活発に開発していますが、まだアルファの段階です。

%prep
%setup -q -n %{name}

%build
python setup.py build_i18n -m
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitelib}/%{name}
%{_bindir}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/*/*.mo

%changelog
* Sat Jul 23 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.9.6-1.hg889
- initial build for Vine Linux

* Thu Nov 6 2010 Radek Ryckowski <radek@ebi.ac.uk> - 0.9.5 hg 531:69b7cd2aef25
- Initial RPM release
